Bug 192094 - Bfea3ebb1 miscutils.py:61:checkSig:OSError: [Errno 2] No such file or directory
Bfea3ebb1 miscutils.py:61:checkSig:OSError: [Errno 2] No such file or directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-17 11:33 EDT by Franck MILLEVILLE
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 08:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Franck MILLEVILLE 2006-05-17 11:33:12 EDT
Component: Software Installer
Summary: TBfea3ebb1 miscutils.py:61:checkSig:OSError: [Errno 2] No such file or
directory: '/tmp/openoffice.org-impress-2.0.2-5.9.2.i386.rpm'

Traceback (most recent call last):
  File "/usr/sbin/system-install-packages", line 202, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 597, in
applyChanges
    self.checkSignatures(dlpkgs, mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 478, in
checkSignatures
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 770, in sigCheckPkg
    sigresult = rpmUtils.miscutils.checkSig(self.read_ts, po.localPkg())
  File "/usr/lib/python2.4/site-packages/rpmUtils/miscutils.py", line 61, in
checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] No such file or directory:
'/tmp/openoffice.org-impress-2.0.2-5.9.2.i386.rpm'

Local variables in innermost frame:
currentflags: 986880
ts: <rpmUtils.transaction.TransactionWrapper instance at 0xb7a0c8ec>
value: 0
package: /tmp/openoffice.org-impress-2.0.2-5.9.2.i386.rpm
Comment 1 Jeremy Katz 2006-05-17 11:47:08 EDT
Was the file not actually present?
Comment 2 Franck MILLEVILLE 2006-05-17 13:06:01 EDT
I've tried to update open-office. all rpm have been donwloaded, and an error
message about "/tmp/openoffice.org-impress-2.0.2-5.9.2.i386.rpm" occurs.
Comment 3 Jeremy Katz 2006-09-11 18:14:25 EDT
Does this still happen reliably?
Comment 4 Franck MILLEVILLE 2006-09-12 03:10:31 EDT
You can close this regards, the current version of openoffice seems to solve
this issue.


Note You need to log in before you can comment on or make changes to this bug.